# TODO: optional percetto>=0.0.8 or vperfetto_min or sysprof>=3.38.0 for tracing
# venus renderer? (-Dvenus=true, BR: libgbm, libvulkan, opt. libminijail)
# video support? (-Dvideo=true, BR: libva, libva-drm)
#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	VirGL virtual OpenGL renderer library
Summary(pl.UTF-8):	VirGL - biblioteka wirtualnego renderera OpenGL
Name:		virglrenderer
Version:	1.0.1
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://gitlab.freedesktop.org/virgl/virglrenderer/-/tags
Source0:	https://gitlab.freedesktop.org/virgl/virglrenderer/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	c3d2785352a8e612858017d61377b74d
URL:		https://virgil3d.github.io/
BuildRequires:	Mesa-libgbm-devel
BuildRequires:	check-devel >= 0.9.4
BuildRequires:	libdrm-devel >= 2.4.50
BuildRequires:	libepoxy-devel >= 1.5.4
BuildRequires:	meson >= 0.55
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires:	libdrm >= 2.4.50
Requires:	libepoxy >= 1.5.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VirGL virtual OpenGL renderer library.

%description -l pl.UTF-8
VirGL - biblioteka wirtualnego renderera OpenGL.

%package devel
Summary:	Header file for virglrenderer library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki virglrenderer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for virglrenderer library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki virglrenderer.

%package static
Summary:	Static virglrenderer library
Summary(pl.UTF-8):	Statyczna biblioteka virglrenderer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static virglrenderer library.

%description static -l pl.UTF-8
Statyczna biblioteka virglrenderer.

%prep
%setup -q

%if %{with static_libs}
%{__sed} -i -e '/^libvirglrenderer = / s/shared_library/library/' src/meson.build
%endif

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/virgl_test_server
%attr(755,root,root) %{_libdir}/libvirglrenderer.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvirglrenderer.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvirglrenderer.so
%{_includedir}/virgl
%{_pkgconfigdir}/virglrenderer.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvirglrenderer.a
%endif
%changelog
* Mon Mar 25 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/virglrenderer.git;a=log;h=master

* Mon Mar 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 977ba0c
- updated to 1.0.1

* Sun Dec 10 2023 Marcin Krol <hawk@tld-linux.org> c98a49c
- BRs python3 not python

* Sat Jun 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 52bac22
- ldconfig

* Sat Jun 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 956eb8e
- updated to 0.9.1 (new soname)
- removed obsolete link patch

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> ae27ca4
- BR libX11 (used when epoxy_has_glx, which is true in PLD)

* Thu Sep 20 2018 Jan Palus <atler@pld-linux.org> 512d3ce
- up to 0.7.0

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 747ac6d
- updated to 0.6.0
- updated link patch

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> ff16879
- new

